<?php

session_start();

if (!isset($_SESSION['initialized'])) {
    // se a sessão não foi inicializada, define um valor inicial para ela
    session_regenerate_id();
    $_SESSION['initialized'] = true;
}

$token = $_SESSION['token'];
$chave = $_SESSION['chave'];
$ec = $_SESSION['ec'];
$id_user = $_SESSION['id_usuario'];

require_once("conn.php");

if (isset($token) && !empty($token)) {

    $tokenDecode = base64_decode($token);
    list($email, $pass) = explode(":", $tokenDecode);

    $query = "SELECT * FROM usuarios WHERE email='$email' AND senha='$pass'";
    $exec = mysqli_query($conn, $query);
    $res = mysqli_num_rows($exec);

    if ($res === 0) {
        header('Location: ./login?ec='.$chave);
        return false;
    }

    $dados_usuario = mysqli_fetch_assoc($exec);
    $id_usuario = $dados_usuario["id"];
    $perfil_usuario = $dados_usuario["perfil"];

    return true;
}

header('Location: ./');
return false;
